summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoravatar <avatar@FreeBSD.org>2005-04-18 13:06:43 +0000
committeravatar <avatar@FreeBSD.org>2005-04-18 13:06:43 +0000
commit8694c5f46241d5fb117c7feed17f9896b6f9e730 (patch)
tree393148208961d24f8e65147fbf6c534a9ea0db99
parent997d8772c468779985f3870cf5807f298af265a5 (diff)
downloadFreeBSD-src-8694c5f46241d5fb117c7feed17f9896b6f9e730.zip
FreeBSD-src-8694c5f46241d5fb117c7feed17f9896b6f9e730.tar.gz
Adding another multi-byte characters related regression test for msdosfs.
Tested by: njl Reviewed by: silby, bde, sam (mentor)
-rw-r--r--tools/regression/msdosfs/msdosfstest-3.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/regression/msdosfs/msdosfstest-3.sh b/tools/regression/msdosfs/msdosfstest-3.sh
new file mode 100644
index 0000000..4d3a8fe
--- /dev/null
+++ b/tools/regression/msdosfs/msdosfstest-3.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# $FreeBSD$
+# A really simple script to create a swap-backed msdosfs filesystem, then
+# test to make sure the mbnambuf optimisation(msdosfs_conv.c rev 1.40)
+# doesn't break multi-byte characters.
+
+mkdir /tmp/msdosfstest/
+mdconfig -a -t swap -s 128m -u 10
+bsdlabel -w md10 auto
+newfs_msdos -F 16 -b 8192 /dev/md10a
+mount_msdosfs -L zh_TW.Big5 -D CP950 /dev/md10a /tmp/msdosfstest/
+mkdir /tmp/msdosfstest/012345678_¨¸´c¤§¬ü
+cd /tmp/msdosfstest/012345678_¨¸´c¤§¬ü
+if [ $? -eq 0 ]; then
+ echo "ok 3";
+else
+ echo "not ok 3";
+fi
+cd /tmp
+umount /tmp/msdosfstest/
+mdconfig -d -u 10
+rmdir /tmp/msdosfstest/
OpenPOWER on IntegriCloud